$50 bounty to package my simple Python 2D game to a Windows executable.

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

$50 bounty to package my simple Python 2D game to a Windows executable.

Scott Swain
Hi -

I want to offer $50 bounty (wish I could afford more!) for someone to package my simple Python 2D game to a Windows EXE. 
I built the game using Python 3.8 - 64bit in Windows and it uses the following dependencies: 
import arcade, from arcade.gui import *, import math, import random, import os, import pyautogui, from datetime import datetime, timedelta

NOTE: This will also run in earlier versions of Python.

Oh and I'd like some sort of basic list of "Here's how I did it" so I can replicate the process.

Thanks!
scottermonk-at-gmail

--
You received this message because you are subscribed to the Google Groups "PyInstaller" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/pyinstaller/401956e7-2f5f-49ec-9eb1-9f9843e702ee%40googlegroups.com.
Reply | Threaded
Open this post in threaded view
|

Re: $50 bounty to package my simple Python 2D game to a Windows executable.

bwoodsend
Hi,

Sure. My email address is [hidden email].

Brénainn

--
You received this message because you are subscribed to the Google Groups "PyInstaller" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/pyinstaller/183a43a5-f505-4269-8523-7e5f9b50e41f%40googlegroups.com.
Reply | Threaded
Open this post in threaded view
|

Re: $50 bounty to package my simple Python 2D game to a Windows executable.

bwoodsend
In reply to this post by Scott Swain

Hi,

Based on your imports I think all you need is this hook file for arcade and it should be pretty straightforward after that. I’ve frozen a couple of arcade demo scripts with it OK. Depending on your environment you might have to exclude ['PyQt4', "PyQt5", "scipy", "tkinter", "tk"] using either --exclude PyQt4 from command or excludes=['PyQt4', "PyQt5", "scipy", "mousinfo", "pymsgbox", "tkinter", "tk"] in the Analysis part of the spec file. Also you’re better not using Python 3.8 with PyInstaller as it’s still not properly supported yet. Switch to 3.7 if you can.

Brénainn

--
You received this message because you are subscribed to the Google Groups "PyInstaller" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/pyinstaller/eebe23cb-3782-457f-97e1-e211be000c66%40googlegroups.com.